{% extends "generalLayout.html" %} {% block content %}

<title>Create New Password</title>
<link href="style.css" rel="stylesheet" type="text/css" />
<link href="formStyle.css" rel="stylesheet" type="text/css" />
<div>
  {% if success is defined %}
  <span class="success" class="validation">{{ success|nl2br }}</span>
  {% else %}
  <form
    action="../ChooseNewPass.php?selector={{ sel }}&validator={{ val }}"
    method="post"
  >
    <span class="validation">{{ errors|nl2br }}</span>

    <label for="pwd">New Password</label>
    <input
      type="password"
      id="pwd"
      name="pwd"
      placeholder="Enter a new Password here"
    />
    <label for="pwd-repeat">Repeat New Password</label>
    <input
      type="password"
      id="pwd-repeat"
      name="pwd-repeat"
      placeholder="Repeat the new password"
    />
    <input
      id="pwd-reset-submit"
      type="submit"
      name="pwd-reset-submit"
      value="Reset Password"
    />
  </form>
  {% endif %}
</div>
{% endblock %}
